| Flutter macOS Embedder |

Classes | Functions | Variables
FlutterEngine_Internal.h File Reference
`#import "flutter/shell/platform/darwin/macos/framework/Headers/FlutterEngine.h"`
`#import <Cocoa/Cocoa.h>`
`#include <memory>`
`#include "flutter/shell/platform/common/app_lifecycle_state.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/AccessibilityBridgeMac.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterCompositor.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterPlatformViewController.h"`
`#import "flutter/shell/platform/darwin/macos/framework/Source/FlutterRenderer.h"`

Go to the source code of this file.

## Classes
class | FlutterEngineTerminationHandler
class | FlutterPasteboard
category | FlutterEngine(Tests)

## Functions
typedef | NS_ENUM (NSInteger, FlutterAppExitType)
typedef | NS_ENUM (NSInteger, FlutterAppExitResponse)

## Variables
NS_ASSUME_NONNULL_BEGIN typedef void(^ | FlutterTerminationCallback )(id _Nullable sender)

## Function Documentation

## ◆ NS_ENUM() [1/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterAppExitResponse |
| ) |  |

An enum for defining the different responses the framework can give to an application exit request from the engine.

Must match the entries in the `AppExitResponse` enum in the Dart code.

Definition at line 46 of file FlutterEngine_Internal.h.

46 {
47 kFlutterAppExitResponseCancel = 0,
48 kFlutterAppExitResponseExit = 1,
49 };

## ◆ NS_ENUM() [2/2]

typedef NS_ENUM | ( | NSInteger | ,
|  | FlutterAppExitType |
| ) |  |

An enum for defining the different request types allowed when requesting an application exit.

Must match the entries in the `AppExitType` enum in the Dart code.

Definition at line 35 of file FlutterEngine_Internal.h.

35 {
36 kFlutterAppExitTypeCancelable = 0,
37 kFlutterAppExitTypeRequired = 1,
38 };

## Variable Documentation

## ◆ FlutterTerminationCallback

NS_ASSUME_NONNULL_BEGIN typedef void(^ FlutterTerminationCallback) (id _Nullable sender)